# data <- CST_Load('tas', 'i00k', 'erainterim', '19901101', 
#                  output = 'lonlat', leadtimemax = 1)
# exp <- data$exp
# obs <- data$obs

CST_Load <- function(...) {
  exp <- s2dverification::Load(...)
  obs <- exp
  obs$mod <- NULL
  exp$obs <- NULL
  names(exp)[[1]] <- 'data'
  names(obs)[[1]] <- 'data'

  obs$Datasets$exp <- NULL
  obs$Datasets <- obs$Datasets$obs

  exp$Datasets$obs <- NULL
  exp$Datasets <- exp$Datasets$exp

  remove_matches <- function(v, patterns) {
    if (length(v) > 0) {
      matches <- c()
      for (pattern in patterns) {
        matches <- c(matches, grepl(pattern, v))
      }
      if (length(matches) > 0) {
        v <- v[-matches]
      }
    }
    v
  }

  obs_path_patterns <- sapply(obs$Datasets, function(x) attr(x, 'source'))
  obs$source_files <- remove_matches(obs$source_files,
                                     obs_path_patterns)
  obs$not_found_files <- remove_matches(obs$not_found_files,
                                        obs_path_patterns)

  exp_path_patterns <- sapply(exp$Datasets, function(x) attr(x, 'source'))
  exp$source_files <- remove_matches(exp$source_files,
                                     exp_path_patterns)
  exp$not_found_files <- remove_matches(exp$not_found_files,
                                        exp_path_patterns)

  list(exp = exp, obs = obs)
}
